DevicesRegister device
Devices

Register device

Register a device token for push notifications.

curl -X POST "https://api.flameup.ai/api/v1/workspaces/example_string/devices" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "person_id": "123e4567-e89b-12d3-a456-426614174000",
  "device_token": "example_string",
  "platform": "ios",
  "device_name": "John Doe",
  "device_model": "example_string",
  "os_version": "example_string",
  "app_version": "example_string"
}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "example_string",
  "person_id": "123e4567-e89b-12d3-a456-426614174000",
  "device_token": "example_string",
  "platform": "ios",
  "device_name": "John Doe",
  "device_model": "example_string",
  "os_version": "example_string",
  "app_version": "example_string",
  "is_active": true,
  "is_valid": true,
  "last_used_at": "2024-12-25T10:00:00Z",
  "created_at": "2024-12-25T10:00:00Z"
}
POST
/workspaces/{workspaceId}/devices
POST
Bearer Token
Bearer Tokenstring
Required

Your Flameup API key (passed as Bearer token)

Your Flameup API key (passed as Bearer token)
Content-Typestring
Required

The media type of the request body

Options: application/json
platformstring
Required

Device platform (web coming soon)

Options: ios, android, web
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Your Flameup API key (passed as Bearer token)

Path Parameters

Body

application/json
platformstring
Required

Device platform (web coming soon)

Allowed values:iosandroidweb

Responses